Api Documentation

Bulletinboard items

Retrieves bulletinboard items and rudimentary information about them. When module-bulletin-board-moderation is enabled, items with moderation_status "pending" or "rejected" are only visible to the user who created them.
Retrieves a single bulletinboard item and rudimentary information about it.
Creates a new bulletinboard item. When module-bulletin-board-moderation is enabled, the item will be created with moderation_status "pending" and active set to false, regardless of the active parameter. The item must be approved by a manager in the dashboard before it becomes visible to other users.
Updates an existing bulletinboard item. When module-bulletin-board-moderation is enabled and active is set to true, the item will be set to moderation_status "pending" instead.
Deletes a single bulletinboard item. Only available to API keys without user authentication.
Json
XML
DELETE https://api.bundeling.com/V2/bulletinboard_items/:uuid

Parameters

Url

NameDescriptionType
uuidA unique identifier used to identify a bulletinboard itemstring

Example request

Headers

Content-Type:application/json
Api-Key:RAegSX8yZfEbqSPM

Example response

{
    "uuid": "eeb763c41c054dcc8f6d9362f24ee9b2",
    "status": "Delete successful"
}